Skip to main content
GET
Get All Rag Chunks For A Document

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

documentation_id
string
required

The id of a document from the knowledge base. This is returned on document addition.

Example:

"21m00Tcm4TlvDq8ikWAM"

Query Parameters

embedding_model
enum<string>
default:e5_mistral_7b_instruct
required

The embedding model used to retrieve the chunk.

Available options:
e5_mistral_7b_instruct,
multilingual_e5_large_instruct
Examples:

"e5_mistral_7b_instruct"

"multilingual_e5_large_instruct"

page_size
integer
default:30

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

chunks
KnowledgeBaseDocumentChunkResponseModel · object[]
required
next_cursor
string | null